# Create Tags

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Create Tags"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/api/v2/workspaces/{workspace_id}/pipelines/{pipeline_id}/tags"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Creates tags for a specified pipeline.
Users will be able to choose these tags when giving feedback "
"on reponses generated by this pipeline.
Use tags to structure and categorize user feedback.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the id of the workspace.","in":"path","name":"workspace_id","required":true,"schema":{"description":"Type the id of the workspace.","format":"uuid","title":"Workspace Id","type":"string"}},{"in":"path","name":"pipeline_id","required":true,"schema":{"format":"uuid","title":"Pipeline ID","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"content":{"application/json":{"schema":{"properties":{"name":{"title":"Name","type":"string"}},"required":["name"],"title":"CreateTag","type":"object"}}},"required":true}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"created_by_user_id":{"format":"uuid","title":"Created By User Id","type":"string"},"name":{"title":"Name","type":"string"},"organization_id":{"format":"uuid","title":"Organization Id","type":"string"},"pipeline_id":{"format":"uuid","title":"Pipeline Id","type":"string"},"tag_id":{"format":"uuid","title":"Tag Id","type":"string"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"}},"required":["name","tag_id","organization_id","workspace_id","pipeline_id","created_by_user_id"],"title":"FeedbackTag","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
